Bug 1277074 - Virt-p2v client shouldn't present the vdsm option because it's not usable
Virt-p2v client shouldn't present the vdsm option because it's not usable
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.2
x86_64 Unspecified
medium Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
P2V
:
Depends On: 1218766
Blocks: 1288337
  Show dependency treegraph
 
Reported: 2015-11-02 04:24 EST by mxie@redhat.com
Modified: 2016-11-03 13:56 EDT (History)
6 users (show)

See Also:
Fixed In Version: libguestfs-1.32.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 13:56:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of convert host to vdsm (75.57 KB, image/png)
2015-11-02 04:24 EST, mxie@redhat.com
no flags Details
conversion log of vdsm (1.94 KB, application/zip)
2015-11-02 04:26 EST, mxie@redhat.com
no flags Details

  None (edit)
Description mxie@redhat.com 2015-11-02 04:24:49 EST
Created attachment 1088495 [details]
screenshot of convert host to vdsm

Description of problem:
Virt-p2v client shouldn't present the vdsm option because it's not usable


Version-Release number of selected component (if applicable):
virt-p2v-1.28.1-1.51.3.el7.1
virt-v2v-1.28.1-1.55.el7.x86_64

How reproducible:
100%

Steps to Reproduce:

# man virt-p2v |grep vdsm
# 
There is not any info about vdsm in virt-p2v paper


#man virt-v2v |grep vdsm
    -o rhev is used to write to a RHEV-M / oVirt target.  -o vdsm is only
       -o vdsm
           Set the output method to vdsm.
       --vdsm-image-uuid UUID
       --vdsm-vol-uuid UUID
       --vdsm-vm-uuid UUID
       --vdsm-ovf-output
           ·   the image directory of each guest disk (--vdsm-image-uuid)
           ·   UUIDs for each guest disk (--vdsm-vol-uuid) (this option is
           ·   the OVF file name (--vdsm-vm-uuid).
               (--vdsm-ovf-output).


1. Check rhev Data Center path and mount it to p2v server's local:
Path: 10.66.90.115:/vol/v2v_auto/
# mount 10.66.90.115:/vol/v2v_auto/ /mnt

2.Boot the source machine into virt-p2v client via PXE and input the ip and password of conversion server

3.Try to convert host to vdsm,input name, vcpus, memory and set "-o" as vdsm and "-os" as /mnt/auto_export/838c19a0-f0a7-47a0-a57b-cc94cd921964, please refer to screenshot"convert host to vdsm"

4.It is failed because virt-v2v: error: -o vdsm: --vdsm-image-uuid was not specified, please refer to conversion log "conversion log of vdsm "

Actual results:
As above description

Expected results:
vdsm option shouldn't be presented in virt-p2v client


Addtional info:
If using virt-v2v to convert guests to vdsm, the commands is like below:
# virt-v2v -o vdsm -of raw --vdsm-image-uuid 12345678-1234-1234-1234-123456789001 --vdsm-image-uuid 12345678-1234-1234-1234-123456789003 --vdsm-vol-uuid 12345678-1234-1234-1234-123456789002 --vdsm-vol-uuid 12345678-1234-1234-1234-123456789004 --vdsm-vm-uuid 12345678-1234-1234-1234-123456789005 --vdsm-ovf-output /mnt/auto_export/838c19a0-f0a7-47a0-a57b-cc94cd921964/master/vms/12345678-1234-1234-1234-123456789005/ -os /mnt/auto_export/838c19a0-f0a7-47a0-a57b-cc94cd921964/ rhel7.2
[   0.0] Opening the source -i libvirt rhel7.2
[   0.0] Creating an overlay to protect the source from being modified
[   0.0] Opening the overlay
[   5.0] Initializing the target -o vdsm -os /mnt/auto_export/838c19a0-f0a7-47a0-a57b-cc94cd921964/ --vdsm-image-uuid 12345678-1234-1234-1234-123456789001 --vdsm-image-uuid 12345678-1234-1234-1234-123456789003 --vdsm-vol-uuid 12345678-1234-1234-1234-123456789002 --vdsm-vol-uuid 12345678-1234-1234-1234-123456789004 --vdsm-vm-uuid 12345678-1234-1234-1234-123456789005 --vdsm-ovf-output /mnt/auto_export/838c19a0-f0a7-47a0-a57b-cc94cd921964/master/vms/12345678-1234-1234-1234-123456789005/
[   5.0] Inspecting the overlay
[  21.0] Checking for sufficient free disk space in the guest
[  21.0] Estimating space required on target for each disk
[  21.0] Converting Red Hat Enterprise Linux Server release 7.2 Beta (Maipo) to run on KVM
virt-v2v: This guest has virtio drivers installed.
[ 127.0] Mapping filesystem data to avoid copying unused and blank areas
[ 128.0] Closing the overlay
[ 128.0] Checking if the guest needs BIOS or UEFI to boot
[ 128.0] Copying disk 1/2 to /mnt/auto_export/838c19a0-f0a7-47a0-a57b-cc94cd921964/images/12345678-1234-1234-1234-123456789001/12345678-1234-1234-1234-123456789002 (raw)
    (100.00/100%)
[ 197.0] Copying disk 2/2 to /mnt/auto_export/838c19a0-f0a7-47a0-a57b-cc94cd921964/images/12345678-1234-1234-1234-123456789003/12345678-1234-1234-1234-123456789004 (raw)
    (100.00/100%)
[ 208.0] Creating output metadata
[ 208.0] Finishing off
Comment 1 mxie@redhat.com 2015-11-02 04:26 EST
Created attachment 1088497 [details]
conversion log of vdsm
Comment 2 Richard W.M. Jones 2015-11-02 05:32:08 EST
Yes, virt-p2v should filter the vdsm output option.
Comment 3 Richard W.M. Jones 2015-11-02 18:32:47 EST
Upstream fix:
https://github.com/libguestfs/libguestfs/commit/c192d99c0903c81174a820fdba4b4f00fa85f22a

This will be picked up by the rebase (bug 1218766).
Comment 5 keanli 2016-05-26 04:48:16 EDT
I can reproduce it with build:
virt-p2v-1.28.1-1.51.3.el7.1

Verify it with build:
virt-p2v-1.32.4-1.el7

Steps:
1.Check the manual page of virt-p2v
#man virt-p2v | grep -i vdsm
There is not any info about vdsm in virt-p2v paper
2.Boot the source machine into virt-p2v client via PXE and input the correct ip and password of conversion server
3.Go to the next page via click the "next "
4.Check the output option,there is no vdsm option in the "output to" option list 

Test Result:
According the testing result, the bug has been fixed 
So move the bug from ON_QA to VERIFIED
Comment 7 errata-xmlrpc 2016-11-03 13:56:14 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html

Note You need to log in before you can comment on or make changes to this bug.